### Function

# GimpUi prop_unit_combo_box_new

since: 2.8

#### Declaration [src]

    GtkWidget*
    gimp_prop_unit_combo_box_new (
      GObject* config,
      const gchar* property_name
    )

#### Description [src]

Creates a `GimpUnitComboBox` to set and display the value of a Unit property. See `gimp_unit_combo_box_new()` for more information.

Available since: 2.8

#### Parameters

`config`

  Type: `GObject`

  Object to which property is attached.

  The data is owned by the caller of the function.

`property_name`

  Type: `const gchar*`

  Name of Unit property.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkWidget`

A new `GimpUnitComboBox` widget.

The caller of the function takes ownership of the data, and is responsible for freeing it.